Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanServer

    java.lang.Object
      |
      +--javax.management.MBeanServer

public class MBeanServer
extends java.lang.Object

This is the base class for MBean manipulation on the agent side. It contains the necessary methods for the creation, registration, and deletion of MBeans as well as the access methods for registered MBeans. This is the core component of the JMX infrastructure.

Every MBean which is added to the MBeanServer becomes manageable: its attributes and operations become remotely accessible through the connectors/adaptors connected to that MBeanServer. An Java object cannot be registered in the MBeanServer unless it is a JMX compliant MBean.

Constructor Summary
`MBeanServer()` Creates an MBeanServer with a standard default domain name.
`MBeanServer(java.lang.String domain)` Creates an MBeanServer with the specified default domain name.

Method Summary
`void` | `addNotificationListener(ObjectName name, NotificationListener listener, NotificationFilter filter, java.lang.Object handback)` Enables a couple (listener,handback) for a registered MBean to be added.
`void` | `addNotificationListener(ObjectName name, ObjectName listener, NotificationFilter filter, java.lang.Object handback)` Enables a couple (listener,handback) for a registered MBean to be added.
`ObjectInstance` | `createMBean(java.lang.String className, ObjectName name)` Instantiates and registers a MBean in the MBeanServer.
`ObjectInstance` | `createMBean(java.lang.String className, ObjectName name, java.lang.Object[] params, java.lang.String[] signature)` Instantiates and registers a MBean in the MBeanServer.
`ObjectInstance` | `createMBean(java.lang.String className, ObjectName name, ObjectName loaderName)` Instantiates and registers a MBean in theMBeanServer.
`ObjectInstance` | `createMBean(java.lang.String className, ObjectName name, ObjectName loaderName, java.lang.Object[] params, java.lang.String[] signature)` Instantiates and registers a MBean in the MBeanServer.
`java.io.ObjectInputStream` | `deserialize(ObjectName name, byte[] data)` This method de-serializes a byte array in the context of the class loader of an MBean.
`java.io.ObjectInputStream` | `deserialize(java.lang.String className, byte[] data)` This method de-serializes a byte array in the context of a given MBean class loader.
`java.io.ObjectInputStream` | `deserialize(java.lang.String className, ObjectName loaderName, byte[] data)` This method de-serializes a byte array in the context of a given MBean class loader.
`static java.util.ArrayList` | `findJMXAgent(java.lang.String AgentId)` Return a list of MBeanServer objects.
`java.lang.Object` | `getAttribute(ObjectName name, java.lang.String attribute)` Gets the value of a specific attribute of a named MBean.
`AttributeList` | `getAttributes(ObjectName name, java.lang.String[] attributes)` Enables the values of several attributes of a named MBean.
`java.lang.String` | `getDefaultDomain()` Returns the default domain used for the MBean naming.
`java.lang.Integer` | `getMBeanCount()` Returns the number of MBeans registered in the MBeanServer.
`MBeanInfo` | `getMBeanInfo(ObjectName name)` This method discovers the attributes and operations that an MBean exposes for management.
`ObjectInstance` | `getObjectInstance(ObjectName name)` Gets the ObjectInstance for a given MBean registered with the MBeanServer.
`java.lang.Object` | `instantiate(java.lang.String className)` Instantiates an object using the list of all class loaders registered in the MBeanServer (Default Loader Repository).
`java.lang.Object` | `instantiate(java.lang.String className, java.lang.Object[] params, java.lang.String[] signature)` Instantiates an object using the list of all class loaders registered in the MBeanServer (Default Loader Repository).
`java.lang.Object` | `instantiate(java.lang.String className, ObjectName loaderName)` Instantiates an object using the class Loader specified by its ObjectName.
`java.lang.Object` | `instantiate(java.lang.String className, ObjectName loaderName, java.lang.Object[] params, java.lang.String[] signature)` Instantiates an object.
`java.lang.Object` | `invoke(ObjectName name, java.lang.String actionName, java.lang.Object[] params, java.lang.String[] signature)` Invokes an action on an MBean.
`boolean` | `isRegistered(ObjectName name)` Checks whether an MBean, identified by its object name, is already registered with the MBeanServer.
`java.util.Set` | `queryMBeans(ObjectName name, QueryExp query)` Gets MBeans controlled by the MBeanServer.
`java.util.Set` | `queryNames(ObjectName name, QueryExp query)` Gets the names of MBeans controlled by the MBeanServer.
`ObjectInstance` | `registerMBean(java.lang.Object object, ObjectName name)` Registers a pre-existing object as an MBean with the MBeanServer.
`void` | `removeNotificationListener(ObjectName name, NotificationListener listener)` Enables a listener for an MBean to be removed.
`void` | `removeNotificationListener(ObjectName name, ObjectName listener)` Enables a listener for an MBean to be removed.
`void` | `setAttribute(ObjectName name, Attribute attribute)` Sets the value of a specific attribute of a named MBean.
`AttributeList` | `setAttributes(ObjectName name, AttributeList attributes)` Sets the values of several attributes of a named MBean.
`void` | `unregisterMBean(ObjectName name)` De-registers an MBean from the MBeanServer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanServer

    public MBeanServer()

  Creates an MBeanServer with a standard default domain name. The default domain name is used as the domain part in the ObjectName of MBeans, if no domain is specified by the user.

  The standard default domain name is defined in ServiceName.DOMAIN

### MBeanServer

    public MBeanServer(java.lang.String domain)

  Creates an MBeanServer with the specified default domain name. The default domain name is used as the domain part in the ObjectName of MBeans if no domain is specified by the user.

Method Detail

### findJMXAgent

    public static java.util.ArrayList findJMXAgent(java.lang.String AgentId)

  Return a list of MBeanServer objects. This static method allows a user to retrieve references on MBeanServer which have been instantiated in the Java Virtual Machine.
  Parameters:
    `AgentId` - The agent identifier of the MBeanServer to retrieve. If this parameter is null, all MBeanServers present in the JVM are returned.
  Returns:
    A list of MBeanServer objects.

### instantiate

    public java.lang.Object instantiate(java.lang.String className)
                                 throws ReflectionException,
                                        MBeanException

  Instantiates an object using the list of all class loaders registered in the MBeanServer (Default Loader Repository). The object's class should have a public constructor. It returns a reference to the newly created object. The newly created object is not be registered in the MBeanServer.
  Parameters:
    `className` - The class name of the object to be instantiated.
  Returns:
    The newly instantiated object.
  Throws:
    ReflectionException - Wraps a ClassNotFoundException or the java.lang.Exception that occured trying to invoke the object's constructor.
    MBeanException - The constructor of the object has thrown an exception
    RuntimeOperationsException - Wraps an IllegalArgumentException: The className passed in parameter is null.

### instantiate

    public java.lang.Object instantiate(java.lang.String className,
                                        ObjectName loaderName)
                                 throws ReflectionException,
                                        MBeanException,
                                        InstanceNotFoundException

  Instantiates an object using the class Loader specified by its ObjectName. If the loader name is null, the ClassLoader that loaded the MBean Server will be used. The object's class should have a public constructor. It returns a reference to the new created object. The newly created object is not be registered in the MBeanServer.
  Parameters:
    `className` - The class name of the MBean to be instantiated.
    `loaderName` - The object name of the class loader to be used.
  Returns:
    The newly instantiated object.
  Throws:
    ReflectionException - Wraps a ClassNotFoundException or the java.lang.Exception that occured trying to invoke the object's constructor.
    MBeanException - The constructor of the object has thrown an exception.
    InstanceNotFoundException - The specified class loader is not registered in the MBaenServer.
    RuntimeOperationsException - Wraps an IllegalArgumentException: The className passed in parameter is null.

### instantiate

    public java.lang.Object instantiate(java.lang.String className,
                                        java.lang.Object[] params,
                                        java.lang.String[] signature)
                                 throws ReflectionException,
                                        MBeanException

  Instantiates an object using the list of all class loaders registered in the MBeanServer (Default Loader Repository). The object's class should have a public constructor. The call returns a reference to the newly created object. The newly created object is not be registered in the MBeanServer.
  Parameters:
    `className` - The class name of the object to be instantiated.
    `params` - An array containing the parameters of the constructor to be invoked.
    `signature` - An array containing the signature of the constructor to be invoked.
  Returns:
    The newly instantiated object.
  Throws:
    ReflectionException - Wraps a ClassNotFoundException or the java.lang.Exception that occured trying to invoke the object's constructor.
    MBeanException - The constructor of the object has thrown an exception
    RuntimeOperationsException - Wraps an IllegalArgumentException: The className passed in parameter is null.

### instantiate

    public java.lang.Object instantiate(java.lang.String className,
                                        ObjectName loaderName,
                                        java.lang.Object[] params,
                                        java.lang.String[] signature)
                                 throws ReflectionException,
                                        MBeanException,
                                        InstanceNotFoundException

  Instantiates an object. The class loader to be used is identified by its object name. If the object name of the loader is null, the ClassLoader that loaded the MBeanServer will be used. The object's class should have a public constructor. The call returns a reference to the newly created object. The newly created object is not be registered in the MBeanServer.
  Parameters:
    `className` - The class name of the object to be instantiated.
    `params` - An array containing the parameters of the constructor to be invoked.
    `signature` - An array containing the signature of the constructor to be invoked.
    `loaderName` - The object name of the class loader to be used.
  Returns:
    The newly instantiated object.
  Throws:
    ReflectionException - Wraps a ClassNotFoundException or the java.lang.Exception that occured trying to invoke the object's constructor.
    MBeanException - The constructor of the object has thrown an exception
    InstanceNotFoundException - The specified class loader is not registered in the MBeanServer.
    RuntimeOperationsException - Wraps an IllegalArgumentException: The className passed in parameter is null.

### createMBean

    public ObjectInstance createMBean(java.lang.String className,
                                      ObjectName name)
                               throws ReflectionException,
                                      InstanceAlreadyExistsException,
                                      MBeanRegistrationException,
                                      MBeanException,
                                      NotCompliantMBeanException

  Instantiates and registers a MBean in the MBeanServer. The MBean server will use the Default Loader Repository to load the class of the MBean. An object name is associated to the MBean. If the object name given is null, the MBean can automatically provide its own name by implementing the MBeanRegistration interface. The call returns an ObjectInstance object representing the newly created MBean.
  Parameters:
    `className` - The class name of the MBean to be instantiated.
    `name` - The object name of the MBean. May be null.
  Returns:
    An ObjectInstance, containing the ObjectName and the Java class name of the newly instantiated MBean.
  Throws:
    ReflectionException - Wraps Wraps a ClassNotFoundException or a java.lang.Exception that occured trying to invoke the MBean's constructor.
    InstanceAlreadyExistsException - The MBean is already under the control of the MBeanServer.
    MBeanRegistrationException - The preRegister (MBeanRegistration interface) method of the MBean has thrown an exception. The MBean will not be registered.
    MBeanException - The constructor of the MBean has thrown an exception
    NotCompliantMBeanException - This class is not an JMX compliant MBean
    RuntimeOperationsException - Wraps an IllegalArgumentException: The className passed in parameter is null, the ObjectName passed in parameter contains a pattern or no ObjectName is specified for the MBean.

### createMBean

    public ObjectInstance createMBean(java.lang.String className,
                                      ObjectName name,
                                      ObjectName loaderName)
                               throws ReflectionException,
                                      InstanceAlreadyExistsException,
                                      MBeanRegistrationException,
                                      MBeanException,
                                      NotCompliantMBeanException,
                                      InstanceNotFoundException

  Instantiates and registers a MBean in theMBeanServer. The class loader to be used is identified by its object name. An object name is associated to the MBean. If the object name of the loader is null, the ClassLoader that loaded the MBeanServer will be used. If the MBean's object name given is null, the MBean can automatically provide its own name by implementing the MBeanRegistration interface. The call returns an ObjectInstance object representing the newly created MBean.
  Parameters:
    `className` - The class name of the MBean to be instantiated.
    `name` - The object name of the MBean. May be null.
    `loaderName` - The object name of the class loader to be used.
  Returns:
    An ObjectInstance, containing the ObjectName and the Java class name of the newly instantiated MBean.
  Throws:
    ReflectionException - Wraps Wraps a ClassNotFoundException or a java.lang.Exception that occured trying to invoke the MBean's constructor.
    InstanceAlreadyExistsException - The MBean is already under the control of the MBeanServer.
    MBeanRegistrationException - The preRegister (MBeanRegistration interface) method of the MBean has thrown an exception. The MBean will not be registered.
    MBeanException - The constructor of the MBean has thrown an exception
    NotCompliantMBeanException - This class is not an JMX compliant MBean
    InstanceNotFoundException - The specified class loader is not registered in the MBeanServer.
    RuntimeOperationsException - Wraps an IllegalArgumentException: The className passed in parameter is null, the ObjectName passed in parameter contains a pattern or no ObjectName is specified for the MBean.

### createMBean

    public ObjectInstance createMBean(java.lang.String className,
                                      ObjectName name,
                                      java.lang.Object[] params,
                                      java.lang.String[] signature)
                               throws ReflectionException,
                                      InstanceAlreadyExistsException,
                                      MBeanRegistrationException,
                                      MBeanException,
                                      NotCompliantMBeanException

  Instantiates and registers a MBean in the MBeanServer. The MBean server will use the Default Loader Repository to load the class of the MBean. An object name is associated to the MBean. If the object name given is null, the MBean can automatically provide its own name by implementing the MBeanRegistration interface. The call returns an ObjectInstance object representing the newly created MBean.
  Parameters:
    `className` - The class name of the MBean to be instantiated.
    `name` - The object name of the MBean. May be null.
    `params` - An array containing the parameters of the constructor to be invoked.
    `signature` - An array containing the signature of the constructor to be invoked.
  Returns:
    An ObjectInstance, containing the ObjectName and the Java class name of the newly instantiated MBean.
  Throws:
    ReflectionException - Wraps Wraps a ClassNotFoundException or a java.lang.Exception that occured trying to invoke the MBean's constructor.
    InstanceAlreadyExistsException - The MBean is already under the control of the MBeanServer.
    MBeanRegistrationException - The preRegister (MBeanRegistration interface) method of the MBean has thrown an exception. The MBean will not be registered.
    MBeanException - The constructor of the MBean has thrown an exception
    RuntimeOperationsException - Wraps an IllegalArgumentException: The className passed in parameter is null, the ObjectName passed in parameter contains a pattern or no ObjectName is specified for the MBean.

### createMBean

    public ObjectInstance createMBean(java.lang.String className,
                                      ObjectName name,
                                      ObjectName loaderName,
                                      java.lang.Object[] params,
                                      java.lang.String[] signature)
                               throws ReflectionException,
                                      InstanceAlreadyExistsException,
                                      MBeanRegistrationException,
                                      MBeanException,
                                      NotCompliantMBeanException,
                                      InstanceNotFoundException

  Instantiates and registers a MBean in the MBeanServer. The class loader to be used is identified by its object name. An object name is associated to the MBean. If the object name of the loader is not specified, the ClassLoader that loaded the MBeanServer will be used. If the MBean object name given is null, the MBean can automatically provide its own name by implementing the MBeanRegistration interface. The call returns an ObjectInstance object representing the newly created MBean.
  Parameters:
    `className` - The class name of the MBean to be instantiated.
    `name` - The object name of the MBean. May be null.
    `params` - An array containing the parameters of the constructor to be invoked.
    `signature` - An array containing the signature of the constructor to be invoked.
    `loaderName` - The object name of the class loader to be used.
  Returns:
    An ObjectInstance, containing the ObjectName and the Java class name of the newly instantiated MBean.
  Throws:
    ReflectionException - Wraps Wraps a ClassNotFoundException or a java.lang.Exception that occured trying to invoke the MBean's constructor.
    InstanceAlreadyExistsException - The MBean is already under the control of the MBeanServer.
    MBeanRegistrationException - The preRegister (MBeanRegistration interface) method of the MBean has thrown an exception. The MBean will not be registered.
    MBeanException - The constructor of the MBean has thrown an exception
    InstanceNotFoundException - The specified class loader is not registered in the MBeanServer.
    RuntimeOperationsException - Wraps an IllegalArgumentException: The className passed in parameter is null, the ObjectName passed in parameter contains a pattern or no ObjectName is specified for the MBean.

### registerMBean

    public ObjectInstance registerMBean(java.lang.Object object,
                                        ObjectName name)
                                 throws InstanceAlreadyExistsException,
                                        MBeanRegistrationException,
                                        NotCompliantMBeanException

  Registers a pre-existing object as an MBean with the MBeanServer. If the object name given is null, the MBean may automatically provide its own name by implementing the MBeanRegistration interface. The call returns an ObjectInstance object representing the registered MBean.
  Parameters:
    `object` - The MBean to be registered as an MBean.
    `name` - The object name of the MBean. May be null.
  Returns:
    The ObjectInstance for the MBean that has been registered.
  Throws:
    InstanceAlreadyExistsException - The MBean is already under the control of the MBeanServer.
    MBeanRegistrationException - The preRegister (MBeanRegistration interface) method of the MBean has thrown an exception. The MBean will not be registered.
    NotCompliantMBeanException - This object is not an JMX compliant MBean
    RuntimeOperationsException - Wraps an IllegalArgumentException: The object passed in parameter is null or no object name is specified.

### unregisterMBean

    public void unregisterMBean(ObjectName name)
                         throws InstanceNotFoundException,
                                MBeanRegistrationException

  De-registers an MBean from the MBeanServer. The MBean is identified by its object name. Once the method has been invoked, the MBean may no longer be accessed by its object name.
  Parameters:
    `name` - The object name of the MBean to be de-registered.
  Throws:
    InstanceNotFoundException - The specified MBean is not registered in the MBeanServer.
    MBeanRegistrationException - The preDeregister (MBeanRegistration interface) method of the MBean has thrown an exception.
    RuntimeOperationsException - Wraps an IllegalArgumentException: The object name in parameter is null or the MBean you are trying to de-register is the MBeanServerDelegate MBean.

### getObjectInstance

    public ObjectInstance getObjectInstance(ObjectName name)
                                     throws InstanceNotFoundException

  Gets the ObjectInstance for a given MBean registered with the MBeanServer.
  Parameters:
    `name` - The object name of the MBean.
  Returns:
    The ObjectInstance associated to the MBean specified by name.
  Throws:
    InstanceNotFoundException - The specified MBean is not registered in the MBeanServer.

### queryMBeans

    public java.util.Set queryMBeans(ObjectName name,
                                     QueryExp query)

  Gets MBeans controlled by the MBeanServer. This method allows any of the following to be obtained: All MBeans, a set of MBeans specified by pattern matching on the ObjectName and/or a Query expression, a specific MBean. When the object name is null or empty, all objects are to be selected (and filtered if a query is specified). It returns the set of ObjectInstance objects (containing the ObjectName and the Java Class name) for the selected MBeans.
  Parameters:
    `name` - The object name pattern identifying the MBeans to be retrieved. If null or empty all the MBeans registered will be retrieved.
    `query` - The query expression to be applied for selecting MBeans.
  Returns:
    A set containing the ObjectInstance objects for the selected MBeans. If no MBean satisfies the query an empty list is returned.

### queryNames

    public java.util.Set queryNames(ObjectName name,
                                    QueryExp query)

  Gets the names of MBeans controlled by the MBeanServer. This method enables any of the following to be obtained: The names of all MBeans, the names of a set of MBeans specified by pattern matching on the ObjectName and/or a Query expression, a specific MBean name (equivalent to testing whether an MBean is registered). When the object name is null or empty, all objects are to be selected (and filtered if a query is specified). It returns the set of ObjectNames for the MBeans selected.
  Parameters:
    `name` - The object name pattern identifying the MBean names to be retrieved. If null or empty, the name of all registered MBeans will be retrieved.
    `query` - The query expression to be applied for selecting MBeans.
  Returns:
    A set containing the ObjectNames for the MBeans selected. If no MBean satisfies the query an empty list is returned.

### isRegistered

    public boolean isRegistered(ObjectName name)

  Checks whether an MBean, identified by its object name, is already registered with the MBeanServer.
  Parameters:
    `name` - The object name of the MBean to be checked.
  Returns:
    True if the MBean is already registered in the MBeanServer, false otherwise.
  Throws:
    RuntimeOperationsException - Wraps an IllegalArgumentException: The object name in parameter is null.

### getMBeanCount

    public java.lang.Integer getMBeanCount()

  Returns the number of MBeans registered in the MBeanServer.

### getAttribute

    public java.lang.Object getAttribute(ObjectName name,
                                         java.lang.String attribute)
                                  throws MBeanException,
                                         AttributeNotFoundException,
                                         InstanceNotFoundException,
                                         ReflectionException

  Gets the value of a specific attribute of a named MBean. The MBean is identified by its object name.
  Parameters:
    `name` - The object name of the MBean from which the attribute is to be retrieved.
    `attribute` - A String specifying the name of the attribute to be retrieved.
  Returns:
    The value of the retrieved attribute.
  Throws:
    AttributeNotFoundException - The specified attribute is not accessible in the MBean.
    MBeanException - Wraps an exception thrown by the MBean's getter.
    InstanceNotFoundException - The specified MBean is not registered in the MBeanServer.
    ReflectionException - Wraps an java.lang.Exception thrown while trying to invoke the setter.
    RuntimeOperationsException - Wraps an IllegalArgumentException: The object name in parameter is null or the attribute in parameter is null.

### getAttributes

    public AttributeList getAttributes(ObjectName name,
                                       java.lang.String[] attributes)
                                throws InstanceNotFoundException,
                                       ReflectionException

  Enables the values of several attributes of a named MBean. The MBean is identified by its object name.
  Parameters:
    `name` - The object name of the MBean from which the attributes are to be retrieved.
    `attributes` - A list of the attributes to be retrieved.
  Returns:
    The list of the retrieved attributes.
  Throws:
    InstanceNotFoundException - The specified MBean is not registered in the MBeanServer.
    ReflectionException - An exception occured trying to invoke the getAttributes method of a Dynamic MBean.
    RuntimeOperationsException - Wraps an IllegalArgumentException: The object name in parameter is null or attributes in parameter is null.

### setAttribute

    public void setAttribute(ObjectName name,
                             Attribute attribute)
                      throws InstanceNotFoundException,
                             AttributeNotFoundException,
                             InvalidAttributeValueException,
                             MBeanException,
                             ReflectionException

  Sets the value of a specific attribute of a named MBean. The MBean is identified by its object name.
  Parameters:
    `name` - The name of the MBean within which the attribute is to be set.
    `attribute` - The identification of the attribute to be set and the value it is to be set to.
  Returns:
    The value of the attribute that has been set.
  Throws:
    InstanceNotFoundException - The specified MBean is not registered in the MBeanServer.
    AttributeNotFoundException - The specified attribute is not accessible in the MBean.
    InvalidAttributeValueException - The specified value for the attribute is not valid.
    MBeanException - Wraps an exception thrown by the MBean's setter.
    ReflectionException - Wraps an java.lang.Exception thrown while trying to invoke the setter.
    RuntimeOperationsException - Wraps an IllegalArgumentException: The object name in parameter is null or the attribute in parameter is null.

### setAttributes

    public AttributeList setAttributes(ObjectName name,
                                       AttributeList attributes)
                                throws InstanceNotFoundException,
                                       ReflectionException

  Sets the values of several attributes of a named MBean. The MBean is identified by its object name.
  Parameters:
    `name` - The object name of the MBean within which the attributes are to be set.
    `attributes` - A list of attributes: The identification of the attributes to be set and the values they are to be set to.
  Returns:
    The list of attributes that were set, with their new values.
  Throws:
    InstanceNotFoundException - The specified MBean is not registered in the MBeanServer.
    ReflectionException - An exception occured trying to invoke the getAttributes method of a Dynamic MBean.
    RuntimeOperationsException - Wraps an IllegalArgumentException: The object name in parameter is null or attributes in parameter is null.

### invoke

    public java.lang.Object invoke(ObjectName name,
                                   java.lang.String actionName,
                                   java.lang.Object[] params,
                                   java.lang.String[] signature)
                            throws InstanceNotFoundException,
                                   MBeanException,
                                   ReflectionException

  Invokes an action on an MBean.
  Parameters:
    `name` - The object name of the MBean on which the method is to be invoked.
    `actionName` - The name of the action to be invoked.
    `params` - An array containing the parameters to be set when the action is invoked
    `signature` - An array containing the signature of the action. The class objects will be loaded using the same class loader as the one used for loading the MBean on which the action was invoked.
  Returns:
    The object returned by the action, which represents the result ofinvoking the action on the specified MBean.
  Throws:
    InstanceNotFoundException - The specified MBean is not registered in the MBeanServer.
    MBeanException - Wraps an exception thrown by the MBean's invoked method.
    ReflectionException - Wraps an java.lang.Exception thrown while trying to invoke the method.

### getDefaultDomain

    public java.lang.String getDefaultDomain()

  Returns the default domain used for the MBean naming. The default domain name is used as the domain part in the ObjectName of MBeans if no domain is specified by the user.

### addNotificationListener

    public void addNotificationListener(ObjectName name,
                                        NotificationListener listener,
                                        NotificationFilter filter,
                                        java.lang.Object handback)
                                 throws InstanceNotFoundException

  Enables a couple (listener,handback) for a registered MBean to be added.
  Parameters:
    `name` - The name of the MBean on which the listener should be added.
    `listener` - The listener object which will handles notifications emitted by the registered MBean.
    `filter` - The filter object. If null, no filtering will be performed before handling notifications.
    `handback` - The context to be sent to the listener when a notification is emitted.
  Throws:
    InstanceNotFoundException - The MBean name doesn't correspond to a registered MBean.

### addNotificationListener

    public void addNotificationListener(ObjectName name,
                                        ObjectName listener,
                                        NotificationFilter filter,
                                        java.lang.Object handback)
                                 throws InstanceNotFoundException

  Enables a couple (listener,handback) for a registered MBean to be added.
  Parameters:
    `name` - The name of the MBean on which the listener should be added.
    `listener` - The listener name which will handles notifications emitted by the registered MBean.
    `filter` - The filter object. If null, no filtering will be performed before handling notifications.
    `handback` - The context to be sent to the listener when a notification is emitted.
  Throws:
    InstanceNotFoundException - The MBean name or the listener name doesn't correspond to a registered MBean.

### removeNotificationListener

    public void removeNotificationListener(ObjectName name,
                                           NotificationListener listener)
                                    throws InstanceNotFoundException,
                                           ListenerNotFoundException

  Enables a listener for an MBean to be removed.
  Parameters:
    `name` - The name of the MBean on which the listener should be removed.
    `listener` - The listener object which will handles notifications emitted by the registered MBean.This method will remove all information related to this listener.
  Throws:
    InstanceNotFoundException - The MBean name doesn't correspond to a registered MBean.
    ListenerNotFoundException - The couple (listener,handback) is not registered in the MBean. The exception message contains either "listener", "handback" or the object name depending on which object cannot be found.

### removeNotificationListener

    public void removeNotificationListener(ObjectName name,
                                           ObjectName listener)
                                    throws InstanceNotFoundException,
                                           ListenerNotFoundException

  Enables a listener for an MBean to be removed.
  Parameters:
    `name` - The name of the MBean on which the listener should be removed.
    `listener` - The listener name which will handles notifications emitted by the registered MBean. This method will remove all information related to this listener.
  Throws:
    InstanceNotFoundException - The MBean name or the listener name doesn't correspond to a registered MBean
    ListenerNotFoundException - The couple (listener,handback) is not registered in the MBean. The exception message contains either "listener", "handback" or the object name depending on which object cannot be found.

### getMBeanInfo

    public MBeanInfo getMBeanInfo(ObjectName name)
                           throws InstanceNotFoundException,
                                  IntrospectionException,
                                  ReflectionException

  This method discovers the attributes and operations that an MBean exposes for management.
  Parameters:
    `name` - The name of the MBean to analyze
  Returns:
    An instance of MBeanInfo allowing to retrieve all attributes and operations of this MBean.
  Throws:
    IntrospectionException - An exception occurs during introspection.
    InstanceNotFoundException - The specified MBean is not found.
    ReflectionException - An exception occured trying to invoke the getMBeanInfo of a Dynamic MBean.

### deserialize

    public java.io.ObjectInputStream deserialize(ObjectName name,
                                                 byte[] data)
                                          throws InstanceNotFoundException,
                                                 OperationsException

  This method de-serializes a byte array in the context of the class loader of an MBean.
  Parameters:
    `name` - The name of the MBean whose class loader should be used for the de-serialization.
    `data` - The byte array to be de-sererialized.
  Returns:
    The de-serialized object stream.
  Throws:
    InstanceNotFoundException - The specified MBean is not found.
    OperationsException - Any of the usual Input/Output related exceptions.

### deserialize

    public java.io.ObjectInputStream deserialize(java.lang.String className,
                                                 byte[] data)
                                          throws OperationsException,
                                                 ReflectionException

  This method de-serializes a byte array in the context of a given MBean class loader. The class loader is the one that loaded the class with name "className".
  Parameters:
    `name` - The name of the class whose class loader should be used for the de-serialization.
    `data` - The byte array to be de-sererialized.
  Returns:
    The de-serialized object stream.
  Throws:
    OperationsException - Any of the usual Input/Output related exceptions.
    ReflectionException - The specified class could not be loaded by the default loader repository

### deserialize

    public java.io.ObjectInputStream deserialize(java.lang.String className,
                                                 ObjectName loaderName,
                                                 byte[] data)
                                          throws InstanceNotFoundException,
                                                 OperationsException,
                                                 ReflectionException

  This method de-serializes a byte array in the context of a given MBean class loader. The class loader is the one that loaded the class with name "className". The name of the class loader to be used for loading the specified class is specified. If null, the MBean Server's class loader will be used.
  Parameters:
    `name` - The name of the class whose class loader should be used for the de-serialization.
    `data` - The byte array to be de-sererialized.
    `loaderName` - The name of the class loader to be used for loading the specified class. If null, the MBean Server's class loader will be used.
  Returns:
    The de-serialized object stream.
  Throws:
    InstanceNotFoundException - The specified class loader MBean is not found.
    OperationsException - Any of the usual Input/Output related exceptions.
    ReflectionException - The specified class could not be loaded by the specified class loader.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD